<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ') || !defined('IN_ADMIN')) {
	exit('Access Denied');
}
error_reporting(E_ERROR);
include_once libfile('function/organization');
$do=trim($_GET['do']);
$orgid=intval($_GET['orgid']);
if(submitcheck('departsubmit')){
	foreach($_GET['org']['disp'] as $key => $value){
		if(empty($_GET['org']['orgname'][$key])) continue;
		$setarr=array(
						'orgname'=>$_GET['org']['orgname'][$key],
						'disp'   =>$_GET['org']['disp'][$key]
						);
		C::t('organization')->update_by_orgid($key,$setarr);
	}
	foreach($_GET['addorg']['disp'] as $key => $value){
		if(empty($_GET['addorg']['orgname'][$key])) continue;
		$setarr=array(
						'orgname'=>$_GET['addorg']['orgname'][$key],
						'disp'   =>$_GET['addorg']['disp'][$key],
						'forgid' =>$_GET['addorg']['forgid'][$key],
						);
		C::t('organization')->insert_by_forgid($setarr);
	}
	showmessage('do_success',BASESCRIPT,array(),array('showmsg'=>true));
}elseif($do=='editorg'){
	$setarr=array('forgid'=>intval($_GET['forgid']),
				  'orgname'=>urldecode($_GET['name']),
				  'disp'=>intval($_GET['disp']),
				);
	if($orgid){
		if(C::t('organization')->update_by_orgid($orgid,$setarr)){
			$setarr['orgid']=$orgid;
			echo json_encode($setarr);
			exit();
		}else{
			$setarr['orgid']=$orgid;
			$setarr['error']='not modified';
			echo json_encode($setarr);
			exit();
		}
	}else{
		$setarr['dateline']=TIMESTAMP;
		if($setarr['orgid']=C::t('organization')->insert($setarr,true)){
			$folder=array('fname'=>$setarr['orgname'],
						  'pfid'=>0,
						  'ficon'=>'dzz/images/sysicon/foldericon/1.png',
						  'disp'=>$setarr['disp'],
						  'flag'=>'organization',
						  'gid'=>$setarr['orgid'],
						  );
			if($fid=C::t('folder')->insert($folder,true)){
				C::t('organization')->update($setarr['orgid'],array('fid'=>$fid));
			}else{
				$setarr['error']='create organization folder failure';
			}
		}else{
			$setarr['error']='create organization failure';
		}
		
		echo json_encode($setarr);
		exit();
	}
}elseif($do=='deleteorg'){
	if(!$org=C::t('organization')->fetch($orgid)){
		echo json_encode(array('error'=>'删除错误！要删除的对象已经不存在'));
		exit();
	}
	if($org['forgid']>0){
		$tips='删除错误！请检查以下内容：<br><ul><li>此部门下没有部门</li><li>此部门下没有文件或目录</li></ul>';
	}else{
		$tips='删除错误！请检查以下内容：<br><ul><li>此机构下没有部门</li><li>此机构下没有文件或目录</li></ul>';
	}
	if(C::t('organization')->fetch_all_by_forgid($orgid,true) && C::t('folder')->fetch_all_by_pfid($org['fid'],true)){
		echo json_encode(array('error'=>$tips));
		exit();
	}
	if(C::t('organization')->delete_by_orgid($orgid)){
		echo json_encode($org);
		exit();
	}else{
		echo json_encode(array('error'=>'删除错误！'));
		exit();
	}
}elseif($do=='savemoderators'){
	$orgid=intval($_GET['orgid']);
	$return=array();
	$moderators=explode(',',$_GET['muids']);
	C::t('organization_user')->remove_moderators_by_orgid($orgid);
	if($moderators){
		foreach($moderators as $uid){
			C::t('organization_user')->insert($uid,$orgid,1);
		}
	}
	echo json_encode($return);
	exit();
}
include template('ajax');

?>
