<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ') || !defined('IN_ADMIN')) {
	exit('Access Denied');
}
include_once libfile('function/cache');
$operation=empty($_GET['operation'])?'basic':trim($_GET['operation']);
$setting = C::t('setting')->fetch_all(null);

if(!submitcheck('settingsubmit')) {
	if($operation == 'basic') {
		$navtitle='基本设置';
		$spacesize=DB::result_first("select maxspacesize from ".DB::table('usergroup_field')." where groupid='9'");
	/*} elseif(in_array($operation, array('memory', 'cachethread', 'serveropti'))) {
		$navtitle='基本设置';*/
	} elseif($operation == 'access') {
		$navtitle='注册和访问';
		/*if($setting['welcomemsg'] == 1) {
			$welcomemsg[] = '1';
		} elseif($setting['welcomemsg'] == 2) {
			$welcomemsg[] = '2';
		} elseif($setting['welcomemsg'] == 3) {
			$welcomemsg[] = '1';
			$welcomemsg[] = '2';
		} else {
			$welcomemsg[] = '0';
		}*/
		$setting['strongpw'] = dunserialize($setting['strongpw']);
	} elseif($operation == 'datetime'){
		$navtitle='时间和日期';
		$checktimeformat = array($setting['timeformat'] == 'H:i' ? 24 : 12 => 'checked');
		$setting['userdateformat'] = dateformat($setting['userdateformat']);
		$setting['dateformat'] = dateformat($setting['dateformat']);
		$timezones= array(
			'' => '选择公共时区',
			'-12' => '(GMT -12:00) 埃尼威托克岛, 夸贾林环礁',
			'-11' => '(GMT -11:00) 中途岛, 萨摩亚群岛',
			'-10' => '(GMT -10:00) 夏威夷',
			'-9' => '(GMT -09:00) 阿拉斯加',
			'-8' => '(GMT -08:00) 太平洋时间(美国和加拿大), 提华纳',
			'-7' => '(GMT -07:00) 山区时间(美国和加拿大), 亚利桑那',
			'-6' => '(GMT -06:00) 中部时间(美国和加拿大), 墨西哥城',
			'-5' => '(GMT -05:00) 东部时间(美国和加拿大), 波哥大, 利马, 基多',
			'-4' => '(GMT -04:00) 大西洋时间(加拿大), 加拉加斯, 拉巴斯',
			'-3.5' => '(GMT -03:30) 纽芬兰',
			'-3' => '(GMT -03:00) 巴西利亚, 布宜诺斯艾利斯, 乔治敦, 福克兰群岛',
			'-2' => '(GMT -02:00) 中大西洋, 阿森松群岛, 圣赫勒拿岛',
			'-1' => '(GMT -01:00) 亚速群岛, 佛得角群岛 [格林尼治标准时间] 都柏林, 伦敦, 里斯本, 卡萨布兰卡',
			'0' => '(GMT) 卡萨布兰卡, 都柏林, 爱丁堡, 伦敦, 里斯本, 蒙罗维亚',
			'1' => '(GMT +01:00) 柏林, 布鲁塞尔, 哥本哈根, 马德里, 巴黎, 罗马',
			'2' => '(GMT +02:00) 赫尔辛基, 加里宁格勒, 南非, 华沙',
			'3' => '(GMT +03:00) 巴格达, 利雅得, 莫斯科, 奈洛比',
			'3.5' => '(GMT +03:30) 德黑兰',
			'4' => '(GMT +04:00) 阿布扎比, 巴库, 马斯喀特, 特比利斯',
			'4.5' => '(GMT +04:30) 坎布尔',
			'5' => '(GMT +05:00) 叶卡特琳堡, 伊斯兰堡, 卡拉奇, 塔什干',
			'5.5' => '(GMT +05:30) 孟买, 加尔各答, 马德拉斯, 新德里',
			'5.75' => '(GMT +05:45) 加德满都',
			'6' => '(GMT +06:00) 阿拉木图, 科伦坡, 达卡, 新西伯利亚',
			'6.5' => '(GMT +06:30) 仰光',
			'7' => '(GMT +07:00) 曼谷, 河内, 雅加达',
			'8' => '(GMT +08:00) 北京, 香港, 帕斯, 新加坡, 台北',
			'9' => '(GMT +09:00) 大阪, 札幌, 首尔, 东京, 雅库茨克',
			'9.5' => '(GMT +09:30) 阿德莱德, 达尔文',
			'10' => '(GMT +10:00) 堪培拉, 关岛, 墨尔本, 悉尼, 海参崴',
			'11' => '(GMT +11:00) 马加丹, 新喀里多尼亚, 所罗门群岛',
			'12' => '(GMT +12:00) 奥克兰, 惠灵顿, 斐济, 马绍尔群岛');
	}elseif($operation=='sec'){
		$navtitle='验证码设置';
		$seccodecheck = /*$secreturn =*/ 1;
		$sectpl = '<br /><sec>: <sec><sec>';
		$checksc = array();
		$setting['seccodedata'] = dunserialize($setting['seccodedata']);
		$setting['reginput'] = dunserialize($setting['reginput']);
		$seccodestatus[1]=$setting['seccodestatus'] & 1;
		$seccodestatus[2]=$setting['seccodestatus'] & 2;
		$seccodestatus[3]=$setting['seccodestatus'] & 4;
	} elseif($operation == 'desktop') {
		$navtitle='桌面设置';
	} elseif($operation == 'smiley') {
		$navtitle='表情设置';
	} elseif($operation == 'mail') {
		$navtitle='邮件设置';
		$setting['mail'] = dunserialize($setting['mail']);
		$passwordmask = $setting['mail']['auth_password'] ? $setting['mail']['auth_password']{0}.'********'.substr($setting['mail']['auth_password'], -2) : '';
		$smtps=array();
		foreach($setting['mail']['smtp'] as $id => $smtp) {
			$smtp['authcheck'] = $smtp['auth'] ? 'checked' : '';
			$smtp['auth_password'] = $smtp['auth_password'] ? $smtp['auth_password']{0}.'********'.substr($smtp['auth_password'], -2) : '';
			$smtps[$id]=$smtp;
		}
	/*} elseif($operation == 'userperm') {
		$navtitle='用户权限';*/
	}
}else{
	
	$settingnew=$_GET['settingnew'];
	if($operation == 'basic') {
		$spacesize=intval($_GET['maxspacesize']);
		DB::update('usergroup_field',array('maxspacesize'=>$spacesize),"groupid='9'");
		include_once libfile('function/cache');
		updatecache('usergroups');
	}elseif($operation=='mail'){
		$setting['mail'] = dunserialize($setting['mail']);
		$oldsmtp = $settingnew['mail']['mailsend'] == 3 ? $settingnew['mail']['smtp'] : $settingnew['mail']['esmtp'];
		$deletesmtp = $settingnew['mail']['mailsend'] != 1 ? ($settingnew['mail']['mailsend'] == 3 ? $settingnew['mail']['smtp']['delete'] : $settingnew['mail']['esmtp']['delete']) : array();
		
		$settingnew['mail']['smtp'] = array();
		foreach($oldsmtp as $id => $value) {
			if((empty($deletesmtp) || !in_array($id, $deletesmtp)) && !empty($value['server']) && !empty($value['port'])) {
				$passwordmask = $setting['mail']['smtp'][$id]['auth_password'] ? $setting['mail']['smtp'][$id]['auth_password']{0}.'********'.substr($setting['mail']['smtp'][$id]['auth_password'], -2) : '';
				$value['auth_password'] = $value['auth_password'] == $passwordmask ? $setting['mail']['smtp'][$id]['auth_password'] : $value['auth_password'];
				$settingnew['mail']['smtp'][] = $value;
			}
		}
	
		if(!empty($_GET['newsmtp'])) {
			foreach($_GET['newsmtp']['server'] as $id => $server) {
				if(!empty($server) && !empty($_GET['newsmtp']['port'][$id])) {
					$settingnew['mail']['smtp'][] = array(
							'server' => $server,
							'port' => $_GET['newsmtp']['port'][$id] ? intval($_GET['newsmtp']['port'][$id]) : 25,
							'auth' => $_GET['newsmtp']['auth'][$id] ? 1 : 0,
							'from' => $_GET['newsmtp']['from'][$id],
							'auth_username' => $_GET['newsmtp']['auth_username'][$id],
							'auth_password' => $_GET['newsmtp']['auth_password'][$id]
						);
				}

			}
		}
	/*}elseif($operation=='userperm'){
		*/
	}elseif($operation=='access'){
		isset($settingnew['reglinkname']) && empty($settingnew['reglinkname']) && $settingnew['reglinkname'] = '立即注册';
		$settingnew['pwlength'] = intval($settingnew['pwlength']);
		$settingnew['regstatus'] = intval($settingnew['regstatus']);
		
		/*if(in_array('open', $settingnew['regstatus']) && in_array('invite', $settingnew['regstatus'])) {
			$settingnew['regstatus'] = 3;
		} elseif(in_array('open', $settingnew['regstatus'])) {
			$settingnew['regstatus'] = 1;
		} elseif(in_array('invite', $settingnew['regstatus'])) {
			$settingnew['regstatus'] = 2;
		} else {
			$settingnew['regstatus'] = 0;
		}*/
		/*$settingnew['welcomemsg'] = (array)$settingnew['welcomemsg'];
		if(in_array('1', $settingnew['welcomemsg']) && in_array('2', $settingnew['welcomemsg'])) {
			$settingnew['welcomemsg'] = 3;
		} elseif(in_array('1', $settingnew['welcomemsg'])) {
			$settingnew['welcomemsg'] = 1;
		} elseif(in_array('2', $settingnew['welcomemsg'])) {
			$settingnew['welcomemsg'] = 2;
		} else {
			$settingnew['welcomemsg'] = 0;
		}*/

		if(empty($settingnew['strongpw'])) {
			$settingnew['strongpw'] = array();
		}
	}elseif($operation=='datetime'){
		if(isset($settingnew['timeformat'])) {
			$settingnew['timeformat'] = $settingnew['timeformat'] == '24' ? 'H:i' : 'h:i A';
		}
		if(isset($settingnew['dateformat'])) {
			$settingnew['dateformat'] = dateformat($settingnew['dateformat'], 'format');
		}
	}elseif($operation=='sec'){	
		$settingnew['seccodestatus'] = bindec(intval($settingnew['seccodestatus'][3]).intval($settingnew['seccodestatus'][2]).intval($settingnew['seccodestatus'][1]));
		

		
		if(!preg_match('/^[A-z]\w+?$/', $settingnew['reginput']['username'])) {
			$settingnew['reginput']['username'] =  'username';
		}
		if(!preg_match('/^[A-z]\w+?$/', $settingnew['reginput']['password'])) {
			$settingnew['reginput']['password'] =  'password';
		}
		if(!preg_match('/^[A-z]\w+?$/', $settingnew['reginput']['password2'])) {
			$settingnew['reginput']['password2'] =  'password2';
		}
		if(!preg_match('/^[A-z]\w+?$/', $settingnew['reginput']['email'])) {
			$settingnew['reginput']['email'] =  'email';
		}
		foreach($settingnew['reginput'] as $key => $val) {
			foreach($settingnew['reginput'] as $k => $v) {
				if($key == $k) continue;
				if($val == $v) {
					cpmsg('forum_name_duplicate', '', 'error');
				}
			}
		}
	}
	
	$updatecache = FALSE;
	$settings = array();
	foreach($settingnew as $key => $val) {
		if($setting[$key] != $val) {
			$updatecache = TRUE;
			if(in_array($key, array('timeoffset','regstatus',   'oltimespan', 'seccodestatus'))) {
				$val = (float)$val;
			}

			$settings[$key] = $val;
		}
	}

	if($settings) {
		C::t('setting')->update_batch($settings);
	}
	if($updatecache) {
		updatecache('setting');
	}
	showmessage('do_success',dreferer());
}
function dateformat($string, $operation = 'formalise') {
	$string = dhtmlspecialchars(trim($string));
	$replace = $operation == 'formalise' ? array(array('n', 'j', 'y', 'Y'), array('mm', 'dd', 'yy', 'yyyy')) : array(array('mm', 'dd', 'yyyy', 'yy'), array('n', 'j', 'Y', 'y'));
	return str_replace($replace[0], $replace[1], $string);
}
include template('main');

?>
