<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ')) {
	exit('Access Denied');
}
//所有用户应用
//uid=0 的表示为默认应用

class table_connect extends dzz_table
{ 
	public function __construct() {

		$this->_table = 'connect';
		$this->_pk    = 'bz';
		$this->_pre_cache_key = 'connect_';
		$this->_cache_ttl = 0;
		parent::__construct();
	}
	public function fetch_all_by_available(){
		$data=array();
		$query=DB::query("SELECT * FROM ".DB::table($this->_table)." WHERE available >0 and type!='local' ORDER BY disp DESC");
		while($value=DB::fetch($query)){
			$data[$value['bz']]=$value;
		}
		return $data;
	}	
	public function fetch_all_folderdata($uid){
		$data=self::fetch_all_by_available();
		$folderdata=array();
		foreach($data as $value){
			foreach(DB::fetch_all("select id from ".DB::table($value['dname'])." where uid='{$uid}'") as $value1){
				
				$arr=C::t($value['dname'])->fetch_by_id($value1['id']);
				$folderdata[$arr['fid']]=$arr;
			}
		}
		return $folderdata;
	}
	public function fetch_all_bz(){
		$data=array();
		foreach(DB::fetch_all("select bz from %t where 1",array($this->_table)) as $value){
			$data[]=$value['bz'];
		}
		return $data;
	}
	
}

?>
