/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 20131201
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */

_lang={};
_lang.openwith='打开方式';
_lang.tempfolder='临时目录';
_lang.recycle='回收站';
_lang.dim={};
_lang.dim.title=[];
_lang.dim.title['msg']='您有新消息了！-';
_lang.dim.title['friendrequest']='新好友请求！-';
_lang.dim.title['notice']='新通知！-';

_lang.needrefresh='登录状态已经改变，请立即刷新页面!';
_lang.pic_pre='上一张';
_lang.pic_next='下一张';

_lang.system='系统',
_lang.login='登录';
_lang.sysaddapp='添加应用';
_lang.sysconfig='系统设置';
_lang.systhame='主题设置';
_lang.market='应用市场';
_lang.Close='关闭';
_lang.blank='空白页';
_lang.index='空白页';
_lang.browser='浏览网页';
_lang.urlinvalid='输入的网址不合法！';
_lang.favtodesktop='网页剪切工具';
_lang.desktop='桌面';
_lang.window={};
_lang.confirmexit='您确定要离开';
_lang.ma='吗？';
_lang.submit='发表';
_lang.login_status_change='登录状态已经改变，请按确定刷新；不刷新将不能保持您的桌面数据！';
_lang.need_refresh='数据已经在别处被修改，请刷新页面，保持数据同步！';
_lang.network_error='网络错误，请稍候重试！';
_lang.need_email_avation='<p>你好 {username}：</p><p>你的登录邮箱未验证，你的帐号功能受到限制</p><p>请登录邮箱"{email}",点击激活链接来激活帐号</p><p>邮箱不正确？没有收到邮件？<a href="javascript:;" onclick="hideMenu(\'fwin_dialog\', \'dialog\');_login.configWindow(\'password\');">重新验证邮件</a></p>';

_lang.delete_confirm='确实要删除“{name}“吗？',
_lang.delete_confirm_recycle='确实要删除"{name}"到回收站吗？',
_lang.delete_selectall='确实要删除当前选择的图标及其下所有内容？'
_lang.delete_selectall_recycle='确实要删除当前选择的图标及其下所有内容到回收站吗？'
_lang.delete_folder='确定要删除“{name}”及其下所有内容？';
_lang.delete_folder_recycle='确实要删除"{name}"及其下所有内容到回收站？';
_lang.empty_folder='确实要删除"{name}"中的所有项目吗？',
_lang.restore_success='还原成功';
_lang.add_success='添加成功';


_lang.save_error='数据保存错误,可能您的网络出现故障！';
_lang.cover_confirm='确定覆盖文件',
_lang.need_save_confirm='当前窗体内容需要保存，您确定离开？';
_lang.newfolder='新建文件夹',
_lang.window.back='后退';
_lang.window.next='前进';
_lang.window.up='向上';
_lang.fsearch='搜索';

_lang.selectposition='选择位置';

_lang.panelTitle=[];
_lang.panelTitle['home']='我的中心';
_lang.panelTitle['notice']='通知中心';
_lang.panelTitle['dim']='好友中心';
_lang.panelTitle['disk']='我的空间';
_lang.panelTitle['mygroup']='我的群组';

_lang.OpenFile=[];
_lang.OpenFile['video']='视频文件';
_lang.OpenFile['open']='打开文件';
_lang.OpenFile['save']='保存';
_lang.OpenFile['save']='另存为';
_lang.OpenFile['filetype']='文件类型';
_lang.OpenFile['filename']='文件名称';
_lang.OpenFile['ok_open']='打开';
_lang.OpenFile['ok_save']='保存';
_lang.OpenFile['ok_saveto']='保存';
_lang.OpenFile['cancel']='取消';
_lang.OpenFile['fileEncode']='文件编码';

_lang.OpenFile['Filetype']={};
_lang.exts={"All":['All Documents(*.*)',['DZZDOC','HTM','HTML','SHTM','SHTML','HTA','HTC','XHTML','STM','SSI','JS','JSON','AS','ASC','ASR','XML','XSL','XSD','DTD','XSLT','RSS','RDF','LBI','DWT','ASP','ASA','ASPX','ASCX','ASMX','CONFIG','CS','CSS','CFM','CFML','CFC','TLD','TXT','PHP','PHP3','PHP4','PHP5','PHP-DIST','PHTML','JSP','WML','TPL','LASSO','JSF','VB','VBS','VTM','VTML','INC','SQL','JAVA','EDML','MASTER','INFO','INSTALL','THEME','CONFIG','MODULE','PROFILE','ENGINE'],''],"dzzdoc":['Dzz Documents(*.DZZDOC)',['DZZDOC'],''],"html":['HTML Documents(*.HTML,*.HTM,*.HTA,*.HTC,*.XHTML)',['HTML','HTM','HTA','HTC','XHTML'],''],"txt":['Text Files(*.TXT)',['TXT'],'selected'],"css":['Style Sheets(*.CSS)',['CSS'],''],"js":['JavaScript Documents(*.JS,*.JSON)',['JS','JSON'],''],"jsp":['Java Server Pages(*.JSP,*.JST)',['JSP','JST'],''],"java":['Java Files(*.JAVA)',['JAVA'],''],"asp":['Active Server Pages(*.ASP,*.ASA)',['ASP','ASA'],''],"aspx":['Active Server Plus Pages(*.ASPX,*.ASCX,*.ASMX)',['ASPX','ASCX','ASMX'],''],"php":['PHP Files(*.PHP,*.PHP3,*.PHP4,*.PHP5)',['PHP','PHP3','PHP4','PHP5'],''],"sql":['SQL Files(*.SQL)',['SQL'],''],"vbs":['VBScript Files(*.VBS)',['VBS'],'']};

_lang.OpenFile['Filetype'].All=['所有(*.*)',[],'selected'];
_lang.OpenFile['Filetype'].image=['图像(*.jpg,*.jpeg,*.png,*.gif)',['IMAGE','JPG','JPEG','PNG','GIF'],''];
_lang.OpenFile['Filetype'].video=['视频',['VIDEO','WAV','RM','RMVB','RTSP','FLV','SWF','ASF','ASX','WMV','MMS','AVI','MPG','MPEG','MOV'],''];
_lang.OpenFile['Filetype'].music=['音频',['MUSIC','MID','MP3','WMA','RA','RAM'],''];
_lang.OpenFile['Filetype'].app=['应用',['APP'],''];
_lang.OpenFile['Filetype'].link=['网址',['LINK'],''];
_lang.OpenFile['Filetype'].attach=['附件',['ATTACH','IMAGE'],''];
_lang.OpenFile['Filetype'].Document=['文本文档',['HTM','HTML','SHTM','SHTML','HTA','HTC','XHTML','STM','SSI','JS','JSON','AS','ASC','ASR','XML','XSL','XSD','DTD','XSLT','RSS','RDF','LBI','DWT','ASP','ASA','ASPX','ASCX','ASMX','CONFIG','CS','CSS','CFM','CFML','CFC','TLD','TXT','PHP','PHP3','PHP4','PHP5','PHP-DIST','PHTML','JSP','WML','TPL','LASSO','JSF','VB','VBS','VTM','VTML','INC','SQL','JAVA','EDML','MASTER','INFO','INSTALL','THEME','CONFIG','MODULE','PROFILE','ENGINE'],''];
_lang.OpenFile['Filecode']={'UTF-8':['UTF-8','UTF-8','selected'],"ANSI":['ANSI','GBK',''],"BIG-5":['BIG-5','BIG-5','']};

_lang.detail=[];

_lang.detail['name']='名称';
_lang.detail['size']='大小';
_lang.detail['dateline']='修改时间';
_lang.detail['type']='类型';

_lang.app={};
_lang.app.issetup='应用已安装!';
_lang.app.zuiduo='最多添加';
_lang.app.geyingyong='个应用';
_lang.app.no_ico_desktop='此桌面不能添加应用';
_lang.app.score_average='平均分：';
_lang.app.score_total='共';
_lang.app.score_num='人评分';
_lang.app.score_ren='人';
_lang.app.score_point='分';
_lang.app.score_rating='点击评分↑';
_lang.app.score_mystar='您的评分为';

_lang.filemanage_other='更多';
_lang.filemanage_perm='权限';

_lang.filemanage_view=[];
_lang.filemanage_view[0]='大图标';
_lang.filemanage_view[1]='中图标';
_lang.filemanage_view[2]='中图标列表';
_lang.filemanage_view[3]='小图标列表';
_lang.filemanage_view[4]='详细列表';

_lang.filemanage_jstreeshow='显示目录树';
_lang.filemanage_paixu='排列方式';
_lang.filemanage_disp=[];
_lang.filemanage_disp[0]='按名称';
_lang.filemanage_disp[1]='按大小';
_lang.filemanage_disp[2]='按类型';
_lang.filemanage_disp[3]='按时间';
_lang.filemanage_disp[4]='按标记';

_lang.WinTitle=[];
_lang.WinTitle['userprofile']='个人设置';
_lang.WinTitle['addApp']='添加应用';
_lang.WinTitle['browser']='浏览网页';
_lang.WinTitle['ControlPanel']='控制面板';
_lang.WinTitle['hotkey']='热键';
_lang.WinTitle['restore']='系统还原';
_lang.WinTitle['deskconfig']='桌面设置';
_lang.WinTitle['market']='应用库';
_lang.WinTitle['theme']='主题设置';
_lang.WinTitle['notice']='通知';
_lang.WinTitle['message']='温馨提醒';
_lang.WinTitle['filemanage']='资源管理器';
_lang.WinTitle['pic']='图片浏览';
_lang.WinTitle['widget']='挂件市场';
_lang.WinTitle['findfriend']='查找好友';
_lang.WinTitle['config']='系统设置';
_lang.WinTitle['profile']='详细信息';
_lang.WinTitle['innershare']='站内分享';
_lang.WinTitle['share']='分享';
_lang.WinTitle['urlshare']='站外分享';
_lang.WinTitle['setwidget']='挂件设置';
_lang.WinTitle['groupcp']='群组管理';
_lang.WinTitle['group_info']='群组信息';
_lang.WinTitle['group_user']='群组成员';
_lang.WinTitle['group_invite']='邀请加入';
_lang.WinTitle['group_space']='群组空间';
_lang.WinTitle['space_buy']='空间购买';


_lang.WinTitle['dim']='Dim';

_lang.titleButton=[];
_lang.titleButton['FULLSCREEN']='全屏';
_lang.titleButton['CLOSE']='关闭';
_lang.titleButton['MIN']='最小化';
_lang.titleButton['MAX']='最大化';
_lang.titleButton['RESTORE']='还原';
_lang.titleButton['REFRESH']='刷新';
_lang.titleButton['EDIT']='编辑';
_lang.titleButton['HOME']='主页',
_lang.titleButton['DETAIL']='详情',
_lang.titleButton['REFRESH']='刷新',
_lang.titleButton['SHARE']='分享',
_lang.titleButton['SCORE']='评分',
_lang.titleButton['COMMENT']='评论',
_lang.titleButton['REPORT']='举报',

_lang.titleButton['backward']='后退',
_lang.titleButton['forward']='前进',

_lang.titleButton['EDITTOPIC']='编辑话题',
_lang.titleButton['NEWTOPIC']='创建话题',
_lang.button=[];
_lang.button['OK']='确定';
_lang.button['CANCEL']='取消';

_lang.folderTabs=[];
_lang.folderTabs['FNAME']='首页';
_lang.folderTabs['UPLOAD']='上传';
_lang.folderTabs['NEWDZZDOC']='Dzz文档';
_lang.folderTabs['NEWTXT']='文本文档';
_lang.folderTabs['NEWLINK']='新建链接';
_lang.folderTabs['NEWFOLDER']='新建文件夹';


_lang.widget=[];
_lang.widget['EDIT']='设置',
_lang.widget['DELETE']='删除',
_lang.widget['MOVE']='移动',
_lang.widget['CLOSE']='关闭',

_lang.prompt1={};

_lang.prompt1.ctrlD='请按 Ctrl+D 键添加到收藏夹';
_lang.prompt1.sethome='非 IE 浏览器请手动将本站设为首页';

_lang.prompt1.copy="被浏览器拒绝！\n请在浏览器地址栏输入'about:config'并回车\n然后将'signed.applets.codebase_principal_support'设置为'true'";
_lang.prompt1.copyok='复制成功！';
_lang.prompt1.copyfailure='复制失败,请选中地址中内容（Ctrl+C)手工复制！';
_lang.prompt1.noprevelige='没有权限！';
_lang.prompt1.noprevelige_not_self='您无权操作别人的桌面！';
_lang.prompt1.privacy='用户设置了隐私、您当前无法查看！';

_lang.addblack='您确定要将此好友加入黑名单？（将删除好友关系）';

_lang.paste={};
_lang.paste.default_app_not_move='不能移动默认应用到当前位置！';
_lang.paste.paste_in_here_forbidden='不能在当前位置粘贴（没有权限）';

_lang.bottom_leftinfo='<span class="pull-left">{n}个对象({size})</span><span class="pull-right">共{total}个对象</span>';
_lang.bottom_pageinfo='<span class="pull-left">第{page}页</span>  <span class="pull-right">共{total}页</span>';
_lang.bottom_selectallinfo='<span class="pull-left">选定{n}个对象({size})</span>';
_lang.bottom_selectinfo='<span style="float:left">类型：{type}</span><span class="pull-left">大小：{size}</span><span  class="pull-left">修改时间：{dateline}</span>';
_lang.page=[];
_lang.page['first']='首页';
_lang.page['last']='末页';
_lang.page['prev']='前页';
_lang.page['next']='后页';
_lang.page['pagenum']='第{page}页';

_lang.exit='您确定要注销登陆？';
////////////////////////////
_lang.share=[];
_lang.share['selected']='已选中';
_lang.share['pshare']='个分享';
_lang.share['preveiw']='预览';
_lang.share['ci']='次';
_lang.share['sharelink']='分享链接：';
_lang.share['sharetype']='分享类型：';
_lang.share['expired']='到期时间：';
_lang.share['copy']='复 制';
_lang.share['edit']='编 辑';
_lang.share['del_confirm']='您确定要删除选中的所有共享吗？(原先发出的此共享连接都将失效)';
_lang.share['nodata']='没有数据';
//////////////////////////////////////
_lang.preview=[];
_lang.preview['viewPass']='查看密码：';
_lang.preview['submit']='提 交';

_lang.preview['viewPass_error']='密码错误！';
_lang.preview['not_preview']='该文件暂不支持预览，请直接';
_lang.preview['user_not_preview']='该文件为联系人，';
_lang.preview['viewdesktop']='访问他的桌面';
_lang.preview['download']='下载';
_lang.preview['newwindow']='新窗口打开';
_lang.preview['first_tip']='已到最前一个文件了！';
_lang.preview['last_tip']='已到最后一个文件了！';
_lang.preview['saveto_success']='转存成功！';
_lang.preview['rotate']='旋转';
_lang.preview['saveto']='转存';
_lang.preview['loadding']='载入中...';
_lang.preview['exit']='退出';
_lang.preview['prev']='上一个';
_lang.preview['next']='下一个';
_lang.preview['prev_tip']='按键盘“←”键上一个';
_lang.preview['next_tip']='按键盘“→”键下一个';

_lang.sayByeToIE6='<span><b>Dzz提醒您：</b>微软倡议<a href="http://theie6countdown.cn/" target="_blank" style="color:green">对IE6说再见</a>，告别速度慢、风险高的IE6，免费升级快速又安全的浏览器！推荐使用：<a href="http://firefox.com.cn/" target="_blank" style="color:green">火狐浏览器</a>&nbsp;&nbsp;<a href="http://www.google.cn/intl/zh-CN/chrome/browser/?hl=zh-CN&brand=CHMI" target="_blank" style="color:green">谷歌浏览器</a></span>';
