<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ')) {
	exit('Access Denied');
}

$uid=intval($_GET['uid']);
if($_G['uid']==$uid){ //是自己转到用户资料页
	$self=1;
}

$do=trim($_GET['do']);	
if($do=='count'){//统计信息
	$profiles=array();
	$space = getuserbyuid($uid);
	space_merge($space, 'field');
	space_merge($space, 'status');
	$space['regdate'] = dgmdate($space['regdate']);
	
	if($space['lastvisit']) $space['lastvisit'] = dgmdate($space['lastvisit']);
	/*if($space['lastactivity']) {
		$space['lastactivitydb'] = $space['lastactivity'];
		$space['lastactivity'] = dgmdate($space['lastactivity']);
	}*/
	$profiles['regdate']=array('title'=>'注册时间','value'=>$space['regdate']);
	$profiles['lastvisit']=array('title'=>'最后访问','value'=>$space['lastvisit']);
	$profiles['lastvisit']=array('title'=>'最后访问','value'=>$space['lastvisit']);
	$user=array();
	
	$space['fusesize']=formatsize($space['usesize']);
	$profiles['fusersize']=array('title'=>'空间使用','value'=>$space['fusesize']);
	
	if(!$_G['cache']['usergroups']) loadcache('usergroups');
	$usergroup=$_G['cache']['usergroups'][$space['groupid']];
	
	if($usergroup['maxspacesize']==0){
		$space['maxspacesize']=0;
	}elseif($usergroup['maxspacesize']<0){
		if(($space['addsize']+$space['buysize'])>0){
			$space['maxspacesize']=($space['addsize']+$space['buysize'])*1024*1024;
		}else{
			$space['maxspacesize']=-1;
		}
	}else{
		$space['maxspacesize']=($usergroup['maxspacesize']+$space['addsize']+$space['buysize'])*1024*1024;
	}
	if($space['maxspacesize']>0){
		$space['fmaxspacesize']=formatsize($space['maxspacesize']);
	}elseif($space['maxspacesize']==0){
		$space['fmaxspacesize']='不限制';
	}else{
		$space['fmaxspacesize']='未分配空间';
	}
	$profiles['fspacesize']=array('title'=>'总空间','value'=>$space['fmaxspacesize']);
	//$space['dateline']=dgmdate($space['dateline']);
	//$space['updatetime']=$space['updatetime']?dgmdate($space['updatetime']):'-';
	//统计相关信息
	$count_arr=array('folder','link','image','video','attach');
	foreach($count_arr  as $value){
		$key=lang('message','desktop_sum_'.$value);
		$user['count'][$key]=0;
		$profiles['count_'.$value]=array('title'=>$key,'value'=>0);
	}
	
	$query=DB::query("select type from ".DB::table('icos')." where uid='{$space[uid]}' and type IN (".dimplode($count_arr).")");
	while($value=DB::fetch($query)){
		$profiles['count_'.$value['type']]['value']+=1;
	}
	$profiles['count_app']=array('title'=>'应用数','value'=>count(explode(',',$space['applist'])));	
	
}else{
	include_once libfile('function/profile');
	$space = getuserbyuid($uid);
	space_merge($space, 'profile');
	loadcache('profilesetting');
	if(empty($_G['cache']['profilesetting'])) {
		require_once libfile('function/cache');
		updatecache('profilesetting');
		loadcache('profilesetting');
	}
	
	foreach($_G['cache']['profilesetting'] as $fieldid => $field) {
		if(!$field['available'] || in_array($fieldid, array('birthprovince', 'birthdist', 'birthcommunity', 'resideprovince', 'residedist', 'residecommunity'))) {
				continue;
		}
			$val = profile_show($fieldid, $space);
			if($val !== false) {
				if($val == '')  $val = '-';
				$profiles[$fieldid] = array('title'=>$field['title'], 'value'=>$val);
			}
	}
}
include template('space');

?>
