<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ') || !defined('IN_ADMIN')) {
	exit('Access Denied');
}
include libfile('function/organization');
if($_GET['do']=='setuserstatus'){
	C::t('user')->update(intval($_GET['uid']),array('status'=>intval($_GET['status'])));
	echo json_encode(array('msg'=>'success'));
	exit();
}
if(submitcheck('appsubmit')){
	$dels=$_GET['del'];
	$allids=array();
	foreach($_GET['disp'] as $key =>$value){
		if(!in_array($key,$dels)) C::t('app_market')->update($key,array('disp'=>$value));
	}
	//删除应用
	if($dels){
		C::t('app_market')->delete_by_appid($dels);
	}
	showmessage('do_success',dreferer());
}
//获取所有标签top50；
$tags=DB::fetch_all("SELECT * FROM %t WHERE hot>0 ORDER BY HOT DESC limit 50",array('app_tag'));


$keyword=trim($_GET['keyword']);
$tagid=intval($_GET['tagid']);
$group=intval($_GET['group']);
$page = empty($_GET['page'])?1:intval($_GET['page']);
$perpage=20;
$gets = array(
		'mod'=>'app',
		'keyword'=>$keyword,
		'tagid' => $tagid,
		'group'=>$group
	);
$theurl = BASESCRIPT."?".url_implode($gets);
$refer=urlencode($theurl.'&page='.$page);

$order='ORDER BY disp';
$start=($page-1)*$perpage;
$apps=array();
if($keyword) {
	if($count=DB::result_first("SELECT COUNT(*) FROM ".DB::table('app_market')." WHERE appname like '%$keyword%' or vendor like '%$keyword%'")){
		$apps=DB::fetch_all("SELECT * FROM ".DB::table('app_market')." WHERE appname like '%$keyword%' or vendor like '%$keyword%' $order limit $start,$perpage");
		$multi=multi($count, $perpage, $page, $theurl,'pull-right');
	}
}elseif($tagid) {
		
		$appids=C::t('app_relative')->fetch_appids_by_tagid($tagid);
		if($count=DB::result_first("SELECT COUNT(*) FROM ".DB::table('app_market')." WHERE appid IN (".dimplode($appids).") $sql")){
			$apps=DB::fetch_all("SELECT * FROM ".DB::table('app_market')." WHERE appid IN (".dimplode($appids).") $sql $order limit $start,$perpage");
			$multi=multi($count, $perpage, $page, $theurl,'pull-right');
		}
}else{
	$sql='';
	if($group){
		$sql=" and `group` = '{$group}'";
	}
	if($count=DB::result_first("SELECT COUNT(*) FROM ".DB::table('app_market')." WHERE 1 $sql")){
		$apps=DB::fetch_all("SELECT * FROM ".DB::table('app_market')." WHERE 1 $sql $order limit $start,$perpage");
		$multi=multi($count, $perpage, $page, $theurl,'pull-right');
	}
}


$list=array();
$grouptitle=array('0'=>'全部','-1'=>'仅游客可用','1'=>'成员可用','2'=>'部门管理员可用','3'=>'仅系统管理员可用');
foreach($apps as $value){
	
	$value['tags']=C::t('app_relative')->fetch_all_by_appid($value['appid']);
	if($value['appico']!='dzz/images/default/icodefault.png' && !preg_match("/^(http|ftp|https|mms)\:\/\/(.+?)/i", $value['appico'])){
		$value['appico']=$_G['setting']['attachurl'].$value['appico'];
	}
	$value['appurl']=replace_canshu($value['appurl']);
	$value['grouptitle']=$grouptitle[$value['group']];
	$value['department']=getDepartmentByAppid($value['appid']);
	$list[]=$value;
}

include template('app');

?>
