<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */

if(!defined('IN_DZZ')) {
	exit('Access Denied');
}

$lang = array
(
	
	'import'=>'导入',
	'admin_navtitle'=>'管理中心',
	'more_options' => '更多选项',
	'submit' => '提交',
	'edit'=>'编辑',
	'submit_tips' => '按 Enter 键可随时提交您的修改',
	'reset' => '重置',
	'ok' => '确定',
	'cancel' => '取消',
	'tips' => '技巧提示',
	'name' => '名称',
	'none' => '无',
	'default' => '默认',
	'use_default' => '- 使用默认 -',
	'unknown' => '未知',
	'unlimited' => '无限制',
	'config' => '设置',
	'admin' => '管理',
	'add' => '添加',
	'del' => '删?',
	'delete' => '删除',
	'undelete' => '还原',
	'filename' => '文件名',
	'version' => '版本',
	'time' => '时间',
	'type' => '类型',
	'size' => '尺寸',
	'add_new' => '新增',
	'select' => '请选择',
	'select_all' => '全选',
	'option' => '选项',
	'search' => '搜索',
	'edit' => '编辑',
	'detail' => '详情',
	'display_order' => '显示顺序',
	'order' => '顺序',
	'available' => '可用',
	'enable' => '启用',
	'action' => '动作',
	'ignore' => '忽略',
	'open' => '打开',
	'closed' => '关闭',
	'public' => '公开',
	'operation' => '操作',
	'operator' => '操作者',
	'reason' => '原因',
	'author' => '作者',
	'privacy' => '隐私',
	'dateline' => '发表日期',
	'dateline_7776000' => '三月',
	'dateline_2592000' => '一月',
	'dateline_604800' => '一周',
	'dateline_all' => '全部',
	'thismonth' => '本月',
	'thisweek' => '本周',
	'today' => '今日',
	'thread' => '帖子',
	'subject' => '标题',
	'nosubject' => '无标题',
	'message' => '内容',
	'mergeto' => '合并到',
	'doings' => '记录',
	'blogs' => '日志',
	'albums' => '相册',
	'shares' => '分享',
	'description' => '描述',
	'copyright' => '版权信息',
	'attachment' => '附件',
	'file' => '文件',
	'dir' => '目录',
	'filename' => '文件名',
	'version' => '版本',
	'time' => '时间',
	'type' => '类型',
	'size' => '尺寸',
	'ip' => 'IP 地址',
	'usergroup' => '用户组',
	'usernum' => '用户数：',
	'admingroup' => '管理组',
	'guest' => '游客',
	'anonymous' => '匿名',
	'forum' => '版块',
	'square' => '论坛',
	'username' => '用户名',
	'password' => '密　码',
	'uid' => '用户 ID',
	'other' => '其他',
	
	'updatecache'=>'更新缓存',
	'database'=>'数据库',
	'patch'=>'安全中心',
	'update'=>'在线升级',
	'mail'=>'邮件设置',
	'cron'=>'计划任务',
	'log'=>'系统日志',
	
	'nav_db' => '数据库',
	'nav_db_export' => '备份',
	'nav_db_import' => '恢复',
	'nav_db_runquery' => '升级',
	
	'db' => '数据库',
	'db_export' => '数据备份',
	'db_method' => '方式',
	'db_shell' => 'Shell',
	'db_multivol' => '多卷',
	'db_zip' => 'ZIP',
	'db_volume' => '卷数',
	'db_export_tips' => '<li>数据备份功能根据您的选择备份全部Dzz!数据，导出的数据文件可用“数据恢复”功能或 phpMyAdmin 导入。</li><li>全部备份均不包含模板文件和附件文件。模板、附件的备份只需通过 FTP 等下载 template/、data/attachment/ 目录即可，Dzz! 不提供单独备份。</li><li>MySQL Dump 的速度比 Dzz! 分卷备份快很多，但需要服务器支持相关的 Shell 权限，同时由于 MySQL 本身的兼容性问题，通常进行备份和恢复的服务器应当具有相同或相近的版本号才能顺利进行。因此 MySQL Dump 是有风险的：一旦进行备份或恢复操作的服务器其中之一禁止了 Shell，或由于版本兼容性问题导致导入失败，您将无法使用 MySQL Dump 备份或由备份数据恢复；Dzz! 分卷备份没有此限制。</li><li>数据备份选项中的设置，仅供高级用户的特殊用途使用，当您尚未对数据库做全面细致的了解之前，请使用默认参数备份，否则将导致备份数据错误等严重问题。</li><li>十六进制方式可以保证备份数据的完整性，但是备份文件会占用更多的空间。</li><li>压缩备份文件可以让您的备份文件占用更小的空间。</li>',
	'db_export_type' => '数据备份类型',
	'db_export_dzz' => 'Dzz! 数据',
	'db_export_dzz_uc' => 'Dzz!数据',
	'db_export_custom' => '自定义备份',
	'db_export_custom_comment' => '根据需要自行选择需要备份的数据表',
	'db_export_custom_select_all' => '全选',
	'db_export_method' => '数据备份方式',
	'db_export_shell' => '系统 MySQL Dump (Shell) 备份',
	'db_export_multivol' => 'Dzz! 分卷备份 - 文件长度限制(单位：KB)',
	'db_export_options' => '数据备份选项',
	'db_export_options_extended_insert' => '使用扩展插入(Extended Insert)方式',
	'db_export_options_sql_compatible' => '建表语句格式',
	'db_export_options_charset' => '强制字符集',
	'db_export_usehex' => '十六进制方式',
	'db_export_usezip' => '压缩备份文件',
	'db_export_zip' => '压缩备份',
	'db_export_zip_1' => '多分卷压缩成一个文件',
	'db_export_zip_2' => '每个分卷压缩成单独文件',
	'db_export_zip_3' => '不压缩',
	'db_export_filename' => '备份文件名',
	'db_export_file' => '数据备份记录',
	'db_export_dzz_table' => 'Dzz! 数据表',

	'db_import' => '数据恢复',
	'db_import_confirm' => '导入和当前 Dzz! 版本不一致的数据极有可能产生无法解决的故障，您确定继续吗？',
	'db_import_confirm_sql' => '您确定导入该备份吗？',
	'db_import_confirm_zip' => '您确定解压该备份吗？',
	'db_import_tips' => '<li>本功能在恢复备份数据的同时，将全部覆盖原有数据，请确定恢复前已将程序关闭，恢复全部完成后可以将程序重新开放。</li><li>恢复数据前请在 Dzz!  安装文件目录下tool文件夹内找到 restore.php 文件，然后将 restore.php 文件上传到程序文件夹data目录下。<b>为了您站点的安全，成功恢复数据后请务必及时删除 restore.php 文件。</b></li><li>您可以在数据备份记录处查看站点的备份文件的详细信息，删除过期的备份,并导入需要的备份。</li>',
	'do_import_option' => '<ul><li>您可以在本页面数据备份记录处导入备份恢复数据，也可以通过在浏览器中执行 <a href="{restore_url}" target="_blank">{restore_url}</a> 恢复数据',
	'db_import_from_server' => '从服务器(填写文件名或 URL)',
	'db_import_from_local' => '从本地文件',
	'db_import_unzip' => '解压缩',

	'db_runquery' => '数据库升级',
	'db_runquery_tips' => '<li>出于安全考虑，Dzz! 后台默认情况下禁止 SQL 语句直接执行，只能使用常用 SQL 当中的内容，<br />如果您想自己随意书写 SQL 升级语句，需要将 config/config_global.php 当中的 $_config[admincp][runquery] 设置修改为 1。</li>',
	'db_runquery_sql' => 'Dzz! 数据库升级 - 请将数据库升级语句粘贴在下面',
	'db_runquery_denied' => '对不起，此项功能已经被禁止，如果需要开启，请修改 config/config_global.php 中的相关配置',
	'db_runquery_comment' => '注意: 为确保升级成功，请不要修改 SQL 语句的任何部分',
	'db_runquery_select' => '现有方案',
	'db_runquery_simply' => '常用 SQL 升级语句',
	'db_runquery_createcompatible' => '转换建表语句格式和字符集',
	
	
	'cplog_database_export' => '数据备份',
	'cplog_database_import' => '数据恢复',
	'cplog_database_importzip' => '资料恢复',
	'cplog_database_runquery' => '数据库升级',
	
	'message' => 'Dzz! 提示',
	'message_redirect' => '如果您的浏览器没有自动跳转，请点击这里',
	'message_download' => '如果您的浏览器没有自动下载，请点击此链接',
	'message_return' => '点击这里返回上一页',
	
	'database_export_filename_invalid' => '您没有输入备份文件名或文件名中使用了敏感的扩展名',
 
  'database_export_multivol_redirect' => '分卷备份：数据文件 #{volume} 创建成功，程序将自动继续',
  'database_export_succeed' => '数据成功备份至服务器 <a href="{filename}">{filename}</a> 中',
  'database_shell_fail' => 'Shell 权限被禁止或服务器不支持，无法使用 MySQL Dump 方式备份或恢复数据',
  'database_export_dest_invalid' => '目录不存在或无法访问，请检查 ./data/ 目录',
  'database_file_delete_succeed' => '指定备份文件删除成功 ',
  'database_file_delete_invalid' => '您没有选择要删除的备份文件',
  'database_run_query_invalid' => '升级错误，MySQL 提示: {sqlerror} ',
  'database_run_query_succeed' => 'Dzz! 数据结构升级成功，影响的记录行数 {affected_rows}',
  'dbcheck_permissions_invalid' => '您的服务器环境不允许执行数据库校验，无法进行此操作',
  'dbcheck_nofound_md5file' => '不存在校验文件，无法进行此操作',
  'dbcheck_repair_error' => '数据库修复成功，但仍有 {errorcount} 个数据字段修复失败<br /><br />{error}',
  'dbcheck_repair_completed' => '数据库修复成功 ',
  'dbcheck_ok' => '您的数据库完整无误',
  
   'database_export_multivol_succeed' => '恭喜您，成功创建 {volume} 个备份文件，备份全部完成。<br /> {filelist}',
  'database_export_zip_succeed' => '数据成功备份并压缩至服务器 <a href="{filename}">{filename}</a> 中',
  
  'tools_updatecache' => '更新缓存',
	'tools_updatecache_tips' => '<li>当站点进行了数据恢复、升级或者工作出现异常的时候，您可以使用本功能重新生成缓存。更新缓存的时候，可能让服务器负载升高，请尽量避开会员访问的高峰时间</li>
				<li>数据缓存：更新站点的全部数据缓存</li>
				<li>模板缓存：更新论坛模板、风格等缓存文件，当您修改了模板或者风格，但是没有立即生效的时候使用</li>
				',
	'nav_updatecache' => '更新缓存',
	'nav_updatecache_confirm' => '确认开始',
	'nav_updatecache_verify' => '开始更新',
	'nav_updatecache_completed' => '更新结果',
	'tools_updatecache_data'=>'数据缓存',
	'tools_updatecache_tpl'=>'模板缓存',
	'tools_updatecache_blockclass'=>'DIY 模块分类缓存',
	'tools_updatecache_waiting'=>'正在更新缓存，请稍候......',
	'update_cache_succeed' => '全部缓存更新完毕',
	
	'nav_misc_cron' => '计划任务',
	'misc_cron' => '计划任务',
	'misc_cron_list' => '计划任务列表',
	'misc_cron_tips' => '<li>计划任务是 Dzz! 提供的一项使系统在规定时间自动执行某些特定任务的功能，在需要的情况下，您也可以方便的将其用于站点功能的扩展。</li><li>计划任务是与系统核心紧密关联的功能特性，不当的设置可能造成站点功能的隐患，严重时可能导致站点无法正常运行，因此请务必仅在您对计划任务特性十分了解，并明确知道正在做什么、有什么样后果的时候才自行添加或修改任务项目。</li><li>此处和其他功能不同，本功能中完全按照站点系统默认时差对时间进行设定和显示，而不会依据某一用户或管理员的时差设定而改变显示或设置的时间值。</li>',
	'misc_cron_permonth' => '每月',
	'misc_cron_perweek' => '每周',
	'misc_cron_perday' => '每日',
	'misc_cron_perhour' => '每小时',
	'misc_cron_minute' => '分',
	'misc_cron_hour' => '时',
	'misc_cron_day' => '日',
	'misc_cron_week_day_0' => '日',
	'misc_cron_week_day_1' => '一',
	'misc_cron_week_day_2' => '二',
	'misc_cron_week_day_3' => '三',
	'misc_cron_week_day_4' => '四',
	'misc_cron_week_day_5' => '五',
	'misc_cron_week_day_6' => '六',
	'misc_cron_last_run' => '上次执行时间',
	'misc_cron_next_run' => '下次执行时间',
	'misc_cron_run' => '执行',
	'misc_cron_edit' => '编辑计划任务',
	'misc_cron_edit_tips' => '<li>您正在对系统内置的计划任务进行编辑，除非非常了解 Dzz! 结构，否则强烈建议不要修改默认设置。</li><li>请在修改之前记录原有设置，不当的设置将可能导致站点出现不可预期的错误。</li>',
	'misc_cron_edit_weekday' => '每周',
	'misc_cron_edit_weekday_comment' => '设置星期几执行本任务，“*”为不限制，本设置会覆盖下面的“日”设定',
	'misc_cron_edit_day' => '每月',
	'misc_cron_edit_day_comment' => '设置哪一日执行本任务，“*”为不限制',
	'misc_cron_edit_hour' => '小时',
	'misc_cron_edit_hour_comment' => '设置哪一小时执行本任务，“*”为不限制',
	'misc_cron_edit_minute' => '分钟',
	'misc_cron_edit_minute_comment' => '设置哪些分钟执行本任务，至多可以设置 12 个分钟值，多个值之间用半角逗号 "," 隔开，留空为不限制',
	'misc_cron_edit_filename' => '任务脚本',
	'misc_cron_edit_filename_comment' => '设置本任务的执行程序文件名，请勿包含路径，系统计划任务位于 core/cron/ 目录中',
	
	'cron_not_found' => '计划任务未找到',
	'crons_filename_illegal' => '您输入的任务脚本文件名包含非法字符',
	'crons_filename_invalid' => '您指定的任务脚本文件({cronfile})不存在或包含语法错误',
	'crons_time_invalid' => '您没有指定计划任务执行的时间或条件',
	'crons_run_invalid' => '您要运行任务的脚本文件({cronfile})不存在或包含语法错误，任务无法运行',
	'crons_run_succeed' => '计划任务执行成功 ',
	'crons_succeed' => '计划任务更新成功 ',
	'inbuilt'=>'内置',
	'custom'=>'自定义',
	
	'nav_logs' => '运行记录',
	'nav_logs_illegal' => '密码错误',
	'nav_logs_ban' => '禁止用户',
	'nav_logs_cp' => '后台访问',
	'nav_logs_invite' => '邀请注册',
	'nav_logs_error' => '系统错误',
	'nav_logs_sendmail' => '邮件发送失败',
	'nav_logs_member' => '用户记录',
	'nav_logs_system' => '系统记录',
	'nav_logs_extended' => '扩展记录',
	'logs' => '运行记录',
	'logs_lpp' => '每页显示',
	'logs_passwd' => '密码错误记录',
	'logs_passwd_username' => '尝试用户名',
	'logs_passwd_password' => '尝试密码',
	'logs_passwd_security' => '安全提问',
	'logs_cp' => '系统管理记录',
	'logs_error' => '系统错误记录',
	'logs_noexpire' => '永久有效',
	'logs_invite_status_1' => '可使用',
	'logs_invite_status_2' => '已使用',
	'logs_invite_status_3' => '已发送',
	'logs_invite_status_4' => '已过期',
	'logs_tips_illegal' => '<li>密码错误记录中的IP，需要在管理组内开启查看IP功能才能显示。</li>',
	'logs_tips_ban' => '<li>禁止用户记录，需要在管理组内开启禁止用户功能才能显示。</li>',
	'logs_select_operation' => '请选择类型',
	'logs_viewtype' => '查看方式',
	'logs_credit_relatedid' => '关联 ID',
	'logs_task_id' => '任务 ID',
	'logs_member_id' => '用户 ID',
	'logs_usergroup_id' => '用户组 ID',
	'logs_report_id' => '举报 ID',
	'logs_click2view' => '点击查看',
	'logs_archive' => '档案',
	'logs_lock' => '锁定',
	'logs_unlock' => '解锁',
	'logs_select_ridtype' => '请选择关联 ID 类型',

	'setting_mail_check' => '检测',
	'setting_mail_check_test_from' => '测试发件人',
	'setting_mail_check_test_to' => '测试收件人',
	'setting_mail_check_test_to_comment' => '如果要测试包含用户名的邮件地址，格式为“username &lt;user@domain.com&gt;” 。多个邮件地址用逗号分隔',
	'setting_mail_check_submit' => '检测邮件发送设置',
	'setting_mail_check_title_1' => '标准方式发送 Email',
	'setting_mail_check_message_1' => "通过 PHP 函数及 Unix sendmail 发送\n\n来自",
	'setting_mail_check_title_2' => '通过 SMTP 服务器(SOCKET)发送 Email',
	'setting_mail_check_message_2' => "通过 SOCKET 连接 SMTP 服务器发送\n\n来自",
	'setting_mail_check_title_3' => '通过 PHP 函数 SMTP 发送 Email',
	'setting_mail_check_message_3' => "通过 PHP 函数 SMTP 发送 Email\n\n来自",
	'setting_mail_check_date' => "\n\n发送时间",
	'setting_mail_check_method_1' => '邮件单发测试',
	'setting_mail_check_method_2' => '邮件群发测试',
	'setting_mail_check_success_1' => '邮件发送成功:\n2 封标题为“',
	'setting_mail_check_success_2' => '”的测试邮件已经发出，请查收',
	'setting_mail_check_error' => '邮件发送返回错误信息:\n',
	
);


?>
