<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ')) {
	exit('Access Denied');
}
//所有api都继承此类 
//此类集合所有api通用的函数
abstract class io_api
{
	//格式化数据，方便其他程序调用；
	function formatData($Data){ 
		global $_G,$_GET;
		//获取缓存的数据
		$forderdata=$icosdata=array();
		$value=$Data;
			if($value['type']=='folder'){
					$folder=array('fid'=>$value['oid'],
								  'path'=>$value['path'],
								  'fname'=>$value['name'],
								  'uid'=>$_G['uid'],
								  'pfid'=>md5(str_replace(strrchr($value['path'], '/'), '',$value['path'])),
								  'iconview'=>$_GET['iconview']?intval($_GET['iconview']):1,
								  'disp'=>$_GET['disp']?intval($_GET['disp']):1,
								  'perm'=>5,
								  'hash'=>$value['hash'],
								  'bz'=>$value['bz'],
								  'gid'=>$value['gid'],
								  
								);
					$folderdata[$folder['fid']]=$folder;
			}
			$contents=$value['contents'];
			unset($value['contents']);
			//$icosdata[$value['icoid']]=$value;
			if($deph){
				foreach($contents as $key1 => $value1){
					if($value1['type']=='folder'){
						$folder1=array('fid'=>$value1['oid'],
									  'path'=>$value1['path'],
									  'fname'=>$value1['name'],
									
									  'uid'=>$_G['uid'],
									  'pfid'=>md5(str_replace(strrchr($value1['path'], '/'), '',$value1['path'])),
									  'iconview'=>$get['iconview']?intval($get['iconview']):1,
									  'disp'=>$get['disp']?intval($get['disp']):1,
									   'perm'=>5,
									  'hash'=>$value1['hash'],
									  'bz'=>$value1['bz'],
									  'gid'=>$value1['gid'],
									 
									);
						$folderdata[$folder1['fid']]=$folder1;
						
					}
					$icosdata[$value1['icoid']]=$value1;
				}
			}
			//unset($value['contents']);
			//$icosdata[$value['icoid']]=$value;
		
		return array('folderdata'=>$folderdata,'data'=>$icosdata);
	}
	
	//格式化icosdata数组；
	function formatIcoData($Data){ 
		global $_G,$_GET;
		//获取缓存的数据
		$forderdata=$icosdata=array();
		$value=$Data;
		if($value['type']=='folder'){
				$folder=array('fid'=>$value['oid'],
							  'path'=>$value['path'],
							  'fname'=>$value['name'],
							  'uid'=>$_G['uid'],
							  'pfid'=>md5(str_replace(strrchr($value['path'], '/'), '',$value['path'])),
							  'iconview'=>1,
							  'disp'=>1,
							  'perm'=>5,
							  'hash'=>$value['hash'],
							  'bz'=>$value['bz'],
							  'gid'=>$value['gid'],
							 
							);
				$folderdata=$folder;
		}
		unset($value['contents']);
		$icosdata=$value;
			//unset($value['contents']);
			//$icosdata[$value['icoid']]=$value;
		
		return array('folderarr'=>$folderdata,'icoarr'=>$icosdata);
	}
	
	
	function formatMetaData($metadata,$bz,$deph=1){ 
		global $_G,$documentexts,$imageexts;
		
		$icosdata=array();
		$bzarr=explode(':',$bz);
		
		switch($bzarr[0]){
			case 'dropbox':
				//将api数据转换为目录数据
				$value=$metadata;
					if($value['is_dir']){
						 $icoarr=array(
									  'icoid'=>md5(($bz.$value['path'])),
									  'path'=>($bz.$value['path']),
									  'bz'=>($bz),
									  'gid'=>0,
									  'name'=>substr(strrchr($value['path'], '/'), 1),
									  'username'=>$_G['username'],
									  'uid'=>$_G['uid'],
									  'oid'=>md5(($bz.$value['path'])),
									  'img'=>'dzz/images/sysicon/foldericon/1.png',
									  'type'=>'folder',
									  'ext'=>'',
									  'pfid'=>md5(($bz.$value['path'])),
									  'size'=>0,
									  'dateline'=>strtotime($value['modified']),
									  
									 );
							$icoarr['fsize']=formatsize($icoarr['size']);
							$icoarr['ftype']=getFileTypeName($icoarr['type'],$icoarr['ext']);
							$icoarr['fdateline']=dgmdate($icoarr['dateline']);
							$icosdata=$icoarr;
					
							if($deph){
								foreach($value['contents'] as $key1 => $value1){
								$value1=get_object_vars($value1);
								if($value1['is_dir']){
								   $icoarr1=array(
												  'icoid'=>md5($bz.$value1['path']),
												  'path'=>($bz.$value1['path']),
												  'bz'=>$bz,
												  'gid'=>0,
												  'name'=>substr(strrchr($value1['path'], '/'), 1),
												  'username'=>$_G['username'],
												  'uid'=>$_G['uid'],
												  'oid'=>md5(($bz.$value1['path'])),
												  'img'=>'dzz/images/sysicon/foldericon/1.png',
												  'type'=>'folder',
												  'ext'=>'',
												  'pfid'=>$icoarr['oid'],
												  'size'=>0,
												  'dateline'=>strtotime($value1['modified']),
												   
												  );
									$icoarr1['fsize']=formatsize($icoarr1['size']);
									$icoarr1['ftype']=getFileTypeName($icoarr1['type'],$icoarr1['ext']);
									$icoarr1['fdateline']=dgmdate($icoarr1['dateline']);
									$icosdata['contents'][$icoarr1['icoid']]=$icoarr1;
								}else{
									$ext=strtoupper(substr(strrchr($value1['path'], '.'), 1));
									if(in_array($ext,$imageexts)) $type='image';
									elseif(in_array($ext,$documentexts)) $type='document';
									else $type='attach';
									if($value1['thumb_exists']){
										$img=DZZSCRIPT.'?mod=dropbox&op=getThumb&bz='.rawurlencode($bz).'&path='.rawurlencode($value1['path']);
										$url=DZZSCRIPT.'?mod=dropbox&op=getThumb&bz='.rawurlencode($bz).'&size=xl&path='.rawurlencode($value1['path']);
									}else{
										$img=geticonfromext($ext,$type);
										$url='';
									}
									$icoarr1=array(
												  'icoid'=>md5(($bz.$value1['path'])),
												  'path'=>($bz.$value1['path']),
												  'bz'=>($bz),
												  'gid'=>0,
												  'name'=>substr(strrchr($value1['path'], '/'), 1),
												  'username'=>$_G['username'],
												  'uid'=>$_G['uid'],
												  'oid'=>md5(($bz.$value1['path'])),
												  'img'=>$img,
												  'url'=>$url,
												  'type'=>$type,
												  'ext'=>strtolower($ext),
												  'pfid'=>$icoarr['oid'],
												   'size'=>$value1['bytes'],
												  'dateline'=>strtotime($value1['modified']),
												  );
									$icoarr1['fsize']=formatsize($icoarr1['size']);
									$icoarr1['ftype']=getFileTypeName($icoarr1['type'],$icoarr1['ext']);
									$icoarr1['fdateline']=dgmdate($icoarr1['dateline']);
									$icosdata['contents'][$icoarr1['icoid']]=$icoarr1;	
								}
							}
						}
					}else{
							$ext=strtoupper(substr(strrchr($value['path'], '.'), 1));
							if(in_array($ext,$imageexts)) $type='image';
							elseif(in_array($ext,$documentexts)) $type='document';
							else $type='attach';
							if($value['thumb_exists']){
								$img=DZZSCRIPT.'?mod=dropbox&op=getThumb&bz='.rawurlencode($bz).'&path='.rawurlencode($value['path']);
								$url=DZZSCRIPT.'?mod=dropbox&op=getThumb&bz='.rawurlencode($bz).'&size=xl&path='.rawurlencode($value['path']);
							}else{
								$img=geticonfromext($ext,$type);
								$url='';
							}
							$icoarr=array(
										  'icoid'=>md5(($bz.$value['path'])),
										  'path'=>($bz.$value['path']),
										  'bz'=>$bz,
										  'gid'=>0,
										  'name'=>substr(strrchr($value['path'], '/'), 1),
										  'username'=>$_G['username'],
										  'uid'=>$_G['uid'],
										  'oid'=>md5(($bz.$value['path'])),
										  'img'=>$img,
										  'url'=>$url,
										  'type'=>$type,
										  'ext'=>strtolower($ext),
										  'pfid'=>md5(($bz.$value['path'])),
										   'size'=>$value['bytes'],
										  'dateline'=>strtotime($value['modified']),
										
										  );
							$icoarr['fsize']=formatsize($icoarr['size']);
							$icoarr['ftype']=getFileTypeName($icoarr['type'],$icoarr['ext']);
							$icoarr['fdateline']=dgmdate($icoarr1['dateline']);
							$icosdata=$icoarr;	
					}
				break;
			case 'baiduPCS':
				//将api数据转换为目录数据
				$value=$metadata;
					if($value['isdir']){
						 $icoarr=array(
									  'icoid'=>md5(($bz.$value['path'])),
									  'path'=>($bz.$value['path']),
									  'bz'=>($bz),
									  'gid'=>0,
									  'name'=>substr(strrchr($value['path'], '/'), 1),
									  'username'=>$_G['username'],
									  'uid'=>$_G['uid'],
									  'oid'=>md5(($bz.$value['path'])),
									  'img'=>'dzz/images/sysicon/foldericon/1.png',
									  'type'=>'folder',
									  'ext'=>'',
									  'pfid'=>md5(($bz.$value['path'])),
									  'size'=>0,
									  'dateline'=>strtotime($value['mtime']),
									  
									 );
							$icoarr['fsize']=formatsize($icoarr['size']);
							$icoarr['ftype']=getFileTypeName($icoarr['type'],$icoarr['ext']);
							$icoarr['fdateline']=dgmdate($icoarr['dateline']);
							$icosdata=$icoarr;
					
					}else{
							$ext=strtoupper(substr(strrchr($value['path'], '.'), 1));
							if(in_array($ext,$imageexts)) $type='image';
							elseif(in_array($ext,$documentexts)) $type='document';
							else $type='attach';
							if($type=='image'){
								$img=DZZSCRIPT.'?mod=BaiduPCS&op=thumbnail&bz='.rawurlencode($bz).'&width=100&height=100&path='.rawurlencode($value['path']);
								$url=DZZSCRIPT.'?mod=BaiduPCS&op=thumbnail&bz='.rawurlencode($bz).'&width=1440&height=900&path='.rawurlencode($value['path']);
							}else{
								$img=geticonfromext($ext,$type);
								$url='';
							}
							$icoarr=array(
										  'icoid'=>md5(($bz.$value['path'])),
										  'path'=>($bz.$value['path']),
										  'bz'=>($bz),
										  'gid'=>0,
										  'name'=>substr(strrchr($value['path'], '/'), 1),
										  'username'=>$_G['username'],
										  'uid'=>$_G['uid'],
										  'oid'=>md5(($bz.$value['path'])),
										  'img'=>$img,
										  'url'=>$url,
										  'type'=>$type,
										  'ext'=>strtolower($ext),
										  'pfid'=>md5(($bz.$value['path'])),
										  'size'=>$value['bytes'],
										  'dateline'=>strtotime($value['mtime']),
									
										  );
							$icoarr['fsize']=formatsize($icoarr['size']);
							$icoarr['ftype']=getFileTypeName($icoarr['type'],$icoarr['ext']);
							$icoarr['fdateline']=dgmdate($icoarr1['dateline']);
							$icosdata=$icoarr;	
					}
				break;
			
		}
		
		return $icosdata;
	}

}
?>
