<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */

if(!defined('IN_DZZ')) {
	exit('Access Denied');
}

class table_attachment extends dzz_table
{
	public function __construct() {

		$this->_table = 'attachment';
		$this->_pk    = 'aid';
		$this->_pre_cache_key = 'attachment_';
		$this->_cache_ttl = 0;
		parent::__construct();
	}
	public function get_total_filesize() {
		$attachsize = 0;
		$attachsize = DB::result_first("SELECT SUM(filesize) FROM ".DB::table($this->table));
		return $attachsize;
	}
	public function addcopy_by_aid($aid){
		DB::query("update %t set copys=copys+1 where aid= %d",array($this->_table,$aid));
	}
	public function delete_by_aid($aid){ //删除附件
	  global $_G;
		if(!$data=$this->fetch($aid)){
			return false;	
		}
		if($data['copys']>1){
			$this->update($aid,array('copys'=>$data['copys']-1));
		}else{
			if($data['remote']){
				require_once dzz_libfile('class/oss');
				require_once DZZ_ROOT.'./core/api/oss_sdk/sdk.class.php';
				$oss = new ALIOSS();
				$object=str_replace('/','-',$data['attachment']);
				OSS::delete_object($oss,$object);
				if($data['thumb']>1){
					$thumbobject=str_replace('/','-',getimgthumbname($data['attachment'].'.1440x900'));
					OSS::delete_object($oss,$thumbobject);
				}
			}else{
				if($data['attachment']){
					@unlink($_G['setting']['attachdir'].$data['attachment']);
					@unlink($_G['setting']['attachdir'].getimgthumbname($data['attachment']));
				}
			}
			$this->delete($aid);
		}
		return true;
	}
	public function fetch_by_md5($md5){ //通过md5值返回一条数据
		return DB::fetch_first("SELECT * FROM %t WHERE md5 = %s ",array($this->table,$md5));
	}
}

?>
