<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
if(!defined('IN_DZZ')) {
	exit('Access Denied');
}
//所有用户应用
//uid=0 的表示为默认应用

class table_connect_storage extends dzz_table
{ 
	public function __construct() {

		$this->_table = 'connect_storage';
		$this->_pk    = 'id';
		$this->_pre_cache_key = 'connect_storage_';
		$this->_cache_ttl = 0;
		parent::__construct();
	}
	public function fetch_by_id($id){
		
		$value=self::fetch($id);
		$cloud=DB::fetch_first("select * from ".DB::table('connect')." where bz='{$value['bz']}'");
		$value['access_id']=authcode($value['access_id'],'DECODE',$value['bz']);
		if(!$value['cloudname']) $value['cloudname']=$cloud['name'].':'.($value['bucket']?$value['bucket']:cutstr($value['access_id'], 4, $dot = ''));
		if($value['bucket']) $value['bucket'].='/';
		$data=array(
				'id'=>$value['id'],
				'fid'=>md5($cloud['bz'].':'.$value['id'].':'.$value['bucket']),
				'pfid'=>0,
				'fname'=>$value['cloudname'],
				'ficon'=>'dzz/images/default/system/'.$cloud['bz'].'.png',
				'bz'=>$cloud['bz'].':'.$value['id'].':',
				'path'=>$cloud['bz'].':'.$value['id'].':'.$value['bucket'],
				'type'=>'storage',
				'fsperm'=>$value['bucket']?'0':perm_FolderSPerm::flagPower($cloud['bz'].'_root'),
				'perm'=>5,
				'flag'=>$cloud['bz'],
				'iconview'=>1,
				'disp'=>'0',
			);
		
		return $data;
	}
	public function fetch_all_by_id($ids){
		$data=array();
		foreach($ids as $id){
			if($value=self::fetch_by_id($id)) $data[$value['fid']]=$value;
		}
		return $data;
	}
	public function delete_by_id($id){	
		//删除此应用的快捷方式
		$return=array();
		foreach(DB::fetch_all("select icoid from ".DB::table('icos')." where type='storage' and oid='{$id}'") as $value){
			$return['icoids'][]=$value['icoid'];
			C::t('icos')->delete_by_icoid($value['icoid'],true);
		}
		if(parent::delete($id)){
			$return['msg']='success';
		}
		return $return;
	}
}

?>
