<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */

if(!defined('IN_DZZ')) {
	exit('Access Denied');
}

class table_feed_thread extends dzz_table
{
	public function __construct() {

		$this->_table = 'feed_thread';
		$this->_pk    = 'tid';

		parent::__construct();
	}
   public function delete_by_tid($tids){
	   if(!$tids) return false;
	   if(!is_array($tids)){
		   $tids=array($tids);
	   }
	   C::t('feed_post')->delete_by_tid($tids);
	   
	   //删除收藏
	   C::t('feed_collection')->delete_by_tid($tid);
	   parent::delete($tids);
   }
    public function update_replies_by_tid($tid,$ceof){
	   if(!$tid) return false;
	  
	  return DB::query("update %t set replies=replies+$ceof where tid = %d",array($this->_table,$tid));
	}
}

?>
