<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice Beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
	
if(!defined('IN_DZZ')) {
	exit('Access Denied');
}
$uid =isset($_GET['uid'])?intval($_GET['uid']):$_G['uid'];
$space = dzzgetspace($uid);
$space['self']=intval($space['self']);
$do = empty($_GET['do'])?'':$_GET['do'];
//判断数据唯一
$refer=dreferer();

if($do=='newlink'){
	if(!submitcheck('newlinksubmit')){
		$pfid=intval($_GET['path']);
	}else{
		$link=trim($_GET['link']);
		//$link = dhtmlspecialchars(trim($_POST['link']));
		$pfid=intval($_GET['pfid']);
		//判断有没有权限添加
		
		//检查网址合法性
		if(!preg_match("/^(http|ftp|https|mms)\:\/\/.{4,300}$/i", $link)){
			$link='http://'.$link;
		}
		if(!preg_match("/^(http|ftp|https|mms)\:\/\/.{4,300}$/i", $link)) showmessage(lang('message','网址格式错误！'));
	
		$ext=strtolower(substr(strrchr($link, '.'), 1, 10));
		//static $videoext  = array('swf', 'flv');
		//static $videohost  = array('tudou.com', 'youku.com','56.com','ku6.com');
		$isimage= in_array(strtoupper($ext), $imageexts) ? 1 : 0;
		$ismusic= /*in_array(strtoupper($ext), MUSICEXTS) ? 1 :*/ 0;
		//是图片时处理
		if($isimage){
			if(!perm_check::checkperm_Container($pfid,'image')){
					showmessage(lang('message','target_not_accept_image'));
				}
			if($data=io_dzz::linktoimage($link,$pfid)){
				if($data['error']) showmessage($data['error']);
				showmessage('do_success',$refer.'',array('data'=>rawurlencode(json_encode_gbk($data))),array('showdialog'=>1, 'showmsg' => true, 'closetime' => 1));
			}
		}elseif($ismusic){
			if(!perm_check::checkperm_Container($pfid,'music')){
					showmessage(lang('message','target_not_accept_music'));
				}
			if($data=io_dzz::linktomusic($link,$pfid)){
				if($data['error']) showmessage($data['error']);
				
				showmessage('do_success',$refer.'',array('data'=>rawurlencode(json_encode_gbk($data))),array('showdialog'=>1, 'showmsg' => true, 'closetime' => 1));
			}
		}else{
			//试图作为视频处理
			
			if($data=io_dzz::linktovideo($link,$pfid)){
				if(!perm_check::checkperm_Container($pfid,'video')){
					showmessage(lang('message','target_not_accept_video'));
				}
				if($data['error']) showmessage($data['error']);
				
				showmessage('do_success',$refer.'',array('data'=>rawurlencode(json_encode_gbk($data))),array('showdialog'=>1, 'showmsg' => true, 'closetime' => 1));
			}
			//作为网址处理
			if(!perm_check::checkperm_Container($pfid,'link')){
					showmessage(lang('message','target_not_accept_link'));
			}
			if($data=io_dzz::linktourl($link,$pfid)){
				print_r($data);
				if($data['error']) showmessage($data['error']);
				showmessage('do_success',$refer.'',array('data'=>rawurlencode(json_encode_gbk($data))),array('showdialog'=>1, 'showmsg' => true, 'closetime' => 1));
			}else{
				showmessage(lang('message','network_error'));
			}
		}
	}
}elseif($_GET['do']=='setExtopenDefault'){
	$extid=$_GET['extid'];
	if($extdata=C::t('app_open')->fetch($extid)){
		C::t('app_open_default')->insert_default_by_uid($_G['uid'],$extid,$extdata['ext']);
	}
    exit();	
}elseif($_GET['do']=='savefile'){
	$path=rawurldecode($_GET['path']);
	$cache='./cache/'.md5($path).'.tmp';
	$_G['uid']=intval($_GET['id']);
	$tmp_filename = $_FILES['content']['tmp_name']; 
	$msg='';
	$upload_status = move_uploaded_file($tmp_filename, $_G['setting']['attachdir'].$cache); 
	if(!$upload_status){
		$msg='save failure!';
	}
	$content=file_get_contents($_G['setting']['attachdir'].$cache);
	if(!$msg && ($re=IO::setFileContent($path,$content))){
		if($re['error']) $msg=$re['error'];
		@unlink($_G['setting']['attachdir'].$cache);
	}
	if($msg){
		@header('HTTP/1.1 500 Not Found');
		@header('Status: 500 Not Found');
		exit();
	}else{
		@header('HTTP/1.1 200 Not Found');
		exit();
	}
}elseif($_GET['do']=='cache_api_expire'){
	$cachekey=$_GET['cacheid'];
	DB::delete('api_cache',"cachekey='{$cachekey}'");
    exit();
}elseif($_GET['do']=='updateview'){
	$type=trim($_GET['type']);
	$id=intval($_GET['id']);
	
	if($_G['coockie']['view_'.$type.'_'.$id]){
		exit();
	}else{
		if(C::t('count')->update_viewnum_by_type($id,$type))dsetcookie('view_'.$type.'_'.$id,1,86400);
	}
	exit();
}elseif($_GET['do']=='updateAppView'){
	$appid=intval($_GET['appid']);
	C::t('app_user')->update_lasttime($_G['uid'],$appid,$_G['timestamp']);
	exit();
}elseif($_GET['do']=='updatelike'){
	if(!$_G['uid']) exit();
	$icoid=intval($_GET['icoid']);
	$val=intval($_GET['val']);
	updateLike($icoid,$val);
	exit();
}elseif($do=='newdoc' || $do=='newtxt'){
	$path=($_GET['path']);
	if(!submitcheck('newdocsubmit')){
		if($do=='newdoc'){
			 $ext='dzzdoc';
		}else{
			 $ext='txt';
		}
		$name=lang('message','new_'.$ext);
	}else{
		$filename=$_GET['filename'].'.'.$_GET['ext'];
		if($arr=IO::upload(' ',$path,$filename)){
			if($arr['error']){
				showmessage($arr['error']);
		  }else{
				$arr['msg']='success';
				showmessage('do_success',dreferer(),array('data'=>rawurlencode(json_encode_gbk($arr))));
			}
		}else{
			$arr=array();
			$arr['msg']=lang('template','failure_newfolder');
			showmessage($arr['msg']);
		}
	}
		
}elseif($do=='newfolder'){
	$ismoderator=0;
	if(!submitcheck('newfoldersubmit')){
		$path=($_GET['path']);
		if(($fid=intval($path))>0 && ($folder=C::t('folder')->fetch_by_fid($fid)) && $folder['gid']>0 && (in_array($_G['uid'],$folder['moderators']) || $_G['adminid']==1)){
			$ismoderator=1;
			$permtitle=$folder['perm1']<5?'只读':'读写';
		}
		$foldername=IO::getFolderName(lang('template','newfolder',null,'dzz'),$path);
		
	}else{
		$perm=intval($_GET['perm']);
		$fname=trim($_GET['name']);
		$path=trim($_GET['path']);
		
		if($arr=IO::CreateFolder($path,$fname,$perm)){
			if($arr['error']){
				showmessage($arr['error']);
		  }else{
				$arr['msg']='success';
				showmessage('do_success',dreferer(),array('data'=>rawurlencode(json_encode_gbk($arr))));
			}
		}else{
			$arr=array();
			$arr['msg']=lang('template','failure_newfolder');
			showmessage($arr['msg']);
		}
	}

}elseif($do=='property'){
	
	$icoid=rawurldecode($_GET['icoid']);
	
	$icoarr=IO::getMeta($icoid);
	if($icoarr['error']) showmessage($icoarr['error']);
	if(submitcheck('propertysubmit')){
		$name=io_dzz::name_filter(trim($_GET['name']));
		$return=array();
		if($icoarr['name']!=$name || ($icoarr['type']=='folder' && $icoarr['gid']>0)){
			C::t('icos')->update_by_name($icoid,$name);
			
			if($icoarr['type']=='folder' && $icoarr['gid']>0){
				C::t('folder')->update($icoarr['fid'],array('perm'=>intval($_GET['perm'])));
			}
			$return['name']=$name;
			$return['icoid']=$icoid;
			$return['msg']='success';
			//showmessage('do_success',$refer.'',$return,array('showdialog'=>1, 'showmsg' => true, 'closetime' => 1));
		}
		showmessage('do_success',$refer.'',$return,array());
	}else{
		
		$info=array();
		
		$info['icon']=$icoarr['img'];
		$info['name']=$icoarr['name'];
		
		$info['ftype']=$icoarr['ftype'];
		if($icoarr['type']=='shortcut'){
			$icoarr['bz']=$icoarr['tdata']['bz'];
			$icoarr['path']=$icoarr['tdata']['path'];
		}
		//$arr=getPathByPfid($icoarr['pfid']);
		//获取路径
		if($icoarr['bz']){
			$bzarr=explode(':',$icoarr['path']);
			$cloud=DB::fetch_first("select * from %t where bz='%i'",array('connect',$bzarr[0]));
			switch($cloud['type']){
				case 'pan':
					$arr1=DB::fetch_first("select cloudname,cuid,cusername,id,dateline from ".DB::table($cloud['dname'])." where id='{$bzarr[1]}'");
					$cloudname=$cloud['name'].':'.($arr1['cusername']?$arr1['cusername']:$arr1['cuid']);
					break;
				case 'storage':
					$arr1=DB::fetch_first("select access_id,dateline from ".DB::table($cloud['dname'])." where id='{$bz[1]}'");
					$cloudname=$cloud['name'].':'.cutstr($arr1['access_id'], 4, $dot = '');
					break;
			}
			$info['path']=$cloudname.$bzarr[2];
			$info['size']=lang('template','property_info_size',array('fsize'=>formatsize($icoarr['size']),'size'=>$icoarr['size']));
		}else{
			
			$arr=getPathByPfid($icoarr['pfid']);
			$patharr=array();
			while($arr){
				$patharr[]=array_pop($arr);
			}
			$info['path']=implode('/',$patharr).'/'.$icoarr['name'];
			switch($icoarr['type']){
				case 'folder':
					if($icoarr['gid']>0 && (in_array($_G['uid'],$icoarr['moderators']) || $_G['adminid']==1)){
						$folder=C::t('folder')->fetch($icoarr['fid']);
						$perm=intval($folder['perm']);
						$ismoderator=1;
						$permtitle=$icoarr['perm1']<5?'只读':'读写';
					}
					$info['icon']='dzz/images/default/system/folder.png';
					$contains=getContainsByFid($icoarr['oid']);
					$info['size']=lang('template','property_info_size',array('fsize'=>formatsize($contains['size']),'size'=>$contains['size']));
					$info['contain']=lang('template','property_info_contain',array('filenum'=>$contains['contain'][0],'foldernum'=>$contains['contain'][1]));
					break;
				
				default:
					$info['path']=implode('/',$patharr).'/'.$icoarr['name'];
					$info['size']=lang('template','property_info_size',array('fsize'=>formatsize($icoarr['size']),'size'=>$icoarr['size']));
			}
		}
		$info['username']=$icoarr['username'];
		$info['uid']=$icoarr['uid'];
		$info['fdateline']=($icoarr['fdateline']);
	}
}elseif($do=='getColorCss'){
	$color=rawurldecode(trim($_GET['color']));
	$class=trim($_GET['css']);
	$background='';
	if(strpos($color,'#')===0 || strpos(strtolower($color),'rgb')){
		$background=$color;
	}else{
		$background="url($color)";
	}
	header('Content-Type: text/css');
	@ob_clean();
	$content=file_get_contents(DZZ_ROOT.'./dzz/styles/color.css');
	$content=preg_replace("/_BACKGROUND_/i",$background,$content);
	$content=preg_replace("/_CLASS_/i",$class,$content);
	echo $content;
	@flush();@ob_flush();
	exit();
}

include template('system_ajax');

?>
