<?php
/*
 * @copyright   Leyun internet Technology(Shanghai)Co.,Ltd
 * @license     http://www.dzzoffice.com/licenses/license.txt
 * @package     DzzOffice
 * @version     DzzOffice beta 2013.12.01
 * @link        http://www.dzzoffice.com
 * @author      zyx(zyx@dzz.cc)
 */
 
define('APPTYPEID', 1);
define('CURSCRIPT', 'dzz');
define('DZZSCRIPT', basename(__FILE__));
define('BASESCRIPT', basename(__FILE__));
require './core/class/class_core.php';
require './dzz/function/dzz_core.php';
$dzz = C::app();
$mod = getgpc('mod');
$mod = !empty($mod) ? $mod :  '';
$op = !empty($_GET['op']) ? $_GET['op'] : 'index';
$cachelist = array();
$dzz->cachelist = $cachelist;
$dzz->init();



//调用各自的模块
if(empty($mod)){
	define('CURMODULE', 'dzzindex');
	require DZZ_ROOT.'./dzz/index.php';
}else{
	define('CURMODULE', str_replace(':','/',$mod));
	
	if(strpos(strtolower($mod),':')!==false){
		$modfile='./dzz/'.str_replace(':','/',$mod).'/'.($op?$op:'index').'.php';
		//exit(DZZ_ROOT.$modfile);
		if(@!file_exists(DZZ_ROOT.$modfile)){
			showmessage($modefile.lang('message','file_nonexistence'));
		}
	}else{
		if(@!file_exists(DZZ_ROOT.($modfile = './dzz/'.$mod.'/'.$op.'.php'))) {
			showmessage('undefined_action', '', array('mod' => $mod));
		}
	}
	include DZZ_ROOT.$modfile;
}
?>
